<?php

/**
 * formatuje tak date posta, żeby zamiast konkretnej daty wyświetlało : wczoraj , przed wczoraj, x dni temu, x tygodni temu, x miesięcy temu, x lat temu
 * 
 * @param $str
 * @return unknown_type
 */

function smarty_modifier_addAdv($str){
	
	$page = explode("<br /><br />",$str);

	$newPage ="";
	$i=0;
	$adv = false;
	foreach($page as $key => $value)
	{
		$newPage.=$value ."<br /><br />";
		if($i == 2)
		{
			$adv = true;
			$newPage.='

<div class="advertiseHr" id="advFar">
	<div class="advertiseName">REKLAMA</div>
	<div class="advertiseFar"><a href="#dalej">czytaj dalej</a></div>
</div>
<div class="advertise">
							<div id="adv05"><script language="javascript" type="text/javascript">NPB("005");</script></div>
							<br />
						</div>
<div><a name="dalej"></a></div>

<script type="text/javascript">
set = false;
function addFarAway()
{
	if(set == false)
	{
		var adv=document.getElementById("adv05");
		if(adv.offsetHeight > 50)
		{
			var advFar=document.getElementById("advFar");
			advFar.style.display="block";
			set =true;
			//alert(adv.offsetHeight + advFar.style.display);
		}
	}
}
setInterval("addFarAway()",500);
</script>
';
		}
		$i++;
	}
	if($adv == false)
	{
		$newPage.='
<div class="advertise">
							<div id="adv05"><script language="javascript" type="text/javascript">NPB("005");</script></div>
							<br />
						</div>

';
	}

	return $newPage;
}
?>